Error when installing npm in ionic (struggle for past seven days )


#1
$ npm install
npm WARN deprecated cordova-plugin-console@1.1.0: This plugin has been deprecated since it is now included in the latest versions of cordova-ios
npm WARN deprecated babili@0.0.10: babili has been renamed to babel-minify. Please update to babel-minify
npm WARN deprecated babel-preset-babili@0.0.10: babili has been renamed to babel-minify. Please update to babel-preset-minify
npm WARN deprecated object-keys@0.2.0: Please update to the latest object-keys

> node-sass@4.5.0 install C:\Users\Dell\Desktop\newrie\node_modules\@ionic\app-scripts\node_modules\node-sass
> node scripts/install.js

Downloading binary from https://github.com/sass/node-sass/releases/download/v4.5.0/win32-x64-57_binding.node
Cannot download "https://github.com/sass/node-sass/releases/download/v4.5.0/win32-x64-57_binding.node":

HTTP error 404 Not Found

Hint: If github.com is not accessible in your location
      try setting a proxy via HTTP_PROXY, e.g.

      export HTTP_PROXY=http://example.com:1234

or configure npm proxy via

      npm config set proxy http://example.com:8080

> node-sass@4.7.2 install C:\Users\Dell\Desktop\newrie\node_modules\node-sass
> node scripts/install.js

Cached binary found at C:\Users\Dell\AppData\Roaming\npm-cache\node-sass\4.7.2\win32-x64-57_binding.node

> node-sass@4.5.0 postinstall C:\Users\Dell\Desktop\newrie\node_modules\@ionic\app-scripts\node_modules\node-sass
> node scripts/build.js

Building: C:\Program Files\nodejs\node.exe C:\Users\Dell\Desktop\newrie\node_modules\node-gyp\bin\node-gyp.js rebuild --verbose --libsass_ext= --libsass_cflags= --libsass_ldflags= --libsass_library=
gyp info it worked if it ends with ok
gyp verb cli [ 'C:\\Program Files\\nodejs\\node.exe',
gyp verb cli   'C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\node-gyp\\bin\\node-gyp.js',
gyp verb cli   'rebuild',
gyp verb cli   '--verbose',
gyp verb cli   '--libsass_ext=',
gyp verb cli   '--libsass_cflags=',
gyp verb cli   '--libsass_ldflags=',
gyp verb cli   '--libsass_library=' ]
gyp info using node-gyp@3.6.2
gyp info using node@8.9.1 | win32 | x64
gyp verb command rebuild []
gyp verb command clean []
gyp verb clean removing "build" directory
gyp verb command configure []
gyp verb check python checking for Python executable "python2" in the PATH
gyp verb `which` failed Error: not found: python2
gyp verb `which` failed     at getNotFoundError (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:13:12)
gyp verb `which` failed     at F (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:68:19)
gyp verb `which` failed     at E (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:80:29)
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:89:16
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\index.js:42:5
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\windows.js:36:5
gyp verb `which` failed     at FSReqWrap.oncomplete (fs.js:152:21)
gyp verb `which` failed  python2 { Error: not found: python2
gyp verb `which` failed     at getNotFoundError (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:13:12)
gyp verb `which` failed     at F (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:68:19)
gyp verb `which` failed     at E (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:80:29)
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:89:16
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\index.js:42:5
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\windows.js:36:5
gyp verb `which` failed     at FSReqWrap.oncomplete (fs.js:152:21)
gyp verb `which` failed   stack: 'Error: not found: python2\n    at getNotFoundError (C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:13:12)\n    at F (C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:68:19)\n    at E (C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:80:29)\n    at C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:89:16\n    at C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\isexe\\index.js:42:5\n    at C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\isexe\\windows.js:36:5\n    at FSReqWrap.oncomplete (fs.js:152:21)',
gyp verb `which` failed   code: 'ENOENT' }
gyp verb check python checking for Python executable "python" in the PATH
gyp verb `which` failed Error: not found: python
gyp verb `which` failed     at getNotFoundError (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:13:12)
gyp verb `which` failed     at F (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:68:19)
gyp verb `which` failed     at E (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:80:29)
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:89:16
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\index.js:42:5
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\windows.js:36:5
gyp verb `which` failed     at FSReqWrap.oncomplete (fs.js:152:21)
gyp verb `which` failed  python { Error: not found: python
gyp verb `which` failed     at getNotFoundError (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:13:12)
gyp verb `which` failed     at F (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:68:19)
gyp verb `which` failed     at E (C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:80:29)
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\which\which.js:89:16
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\index.js:42:5
gyp verb `which` failed     at C:\Users\Dell\Desktop\newrie\node_modules\isexe\windows.js:36:5
gyp verb `which` failed     at FSReqWrap.oncomplete (fs.js:152:21)
gyp verb `which` failed   stack: 'Error: not found: python\n    at getNotFoundError (C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:13:12)\n    at F (C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:68:19)\n    at E (C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:80:29)\n    at C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\which\\which.js:89:16\n    at C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\isexe\\index.js:42:5\n    at C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\isexe\\windows.js:36:5\n    at FSReqWrap.oncomplete (fs.js:152:21)',
gyp verb `which` failed   code: 'ENOENT' }
gyp verb could not find "python". checking python launcher
gyp verb could not find "python". guessing location
gyp verb ensuring that file exists: C:\Python27\python.exe
gyp ERR! configure error
gyp ERR! stack Error: Can't find Python executable "python", you can set the PYTHON env variable.
gyp ERR! stack     at PythonFinder.failNoPython (C:\Users\Dell\Desktop\newrie\node_modules\node-gyp\lib\configure.js:483:19)
gyp ERR! stack     at PythonFinder.<anonymous> (C:\Users\Dell\Desktop\newrie\node_modules\node-gyp\lib\configure.js:508:16)
gyp ERR! stack     at C:\Users\Dell\Desktop\newrie\node_modules\graceful-fs\polyfills.js:284:29
gyp ERR! stack     at FSReqWrap.oncomplete (fs.js:152:21)
gyp ERR! System Windows_NT 6.1.7601
gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" "--verbose" "--libsass_ext=" "--libsass_cflags=" "--libsass_ldflags=" "--libsass_library="
gyp ERR! cwd C:\Users\Dell\Desktop\newrie\node_modules\@ionic\app-scripts\node_modules\node-sass
gyp ERR! node -v v8.9.1
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok
Build failed with error code: 1
npm WARN Error: EPERM: operation not permitted, scandir 'C:\Users\Dell\Desktop\newrie\node_modules\fsevents\node_modules\dashdash\node_modules'
npm WARN  { Error: EPERM: operation not permitted, scandir 'C:\Users\Dell\Desktop\newrie\node_modules\fsevents\node_modules\dashdash\node_modules'
npm WARN   stack: 'Error: EPERM: operation not permitted, scandir \'C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\fsevents\\node_modules\\dashdash\\node_modules\'',
npm WARN   errno: -4048,
npm WARN   code: 'EPERM',
npm WARN   syscall: 'scandir',
npm WARN   path: 'C:\\Users\\Dell\\Desktop\\newrie\\node_modules\\fsevents\\node_modules\\dashdash\\node_modules' }
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! node-sass@4.5.0 postinstall: `node scripts/build.js`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-sass@4.5.0 postinstall script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\Dell\AppData\Roaming\npm-cache\_logs\2017-12-06T10_22_41_043Z-debug.log

#2

What is your ionic info output?

You are probably using the latest node which is not supported. Use the LTS release.


#3

Based on your error output, it looks like you do not have a python environment variable set up (or no python at all). Try installing python, setting up its environment variable and see if it helps.


#5

Hi,
Thank you. let me try


#6

Run ionic info on the command line and copy/paste the whole output.


#7

Hi,
I solved the problem. the problem is the version of node 8.9.1 and i installed old version of node. its running good now. thank you for your help

$ ionic info

cli packages:

@ionic/cli-utils  : 1.19.0
ionic (Ionic CLI) : 3.19.0

global packages:

cordova (Cordova CLI) : 7.1.0

local packages:

@ionic/app-scripts : 1.3.7
Cordova Platforms  : none
Ionic Framework    : ionic-angular 3.4.2

System:

Node : v6.8.1
npm  : 3.10.8
OS   : Windows 7

Environment Variables:

ANDROID_HOME : not set